package edu.stanford.nlp.io;

import java.io.*;

/** a convenience IO class with print and println statements to
 * standard output and standard error allowing encoding in an
 * arbitrary character set.
 * @author Roger Levy
 */

public class EncodingPrintWriter {

  /** Print methods wrapped around System.err */
  public static class err {

    static void println(String o, String encoding) {
      PrintWriter pw;
      try {
	pw = new PrintWriter(new OutputStreamWriter(System.err,encoding),true);
      } catch (UnsupportedEncodingException e) {
	System.err.println("Error " + e + "Printing as default encoding.");
	pw = new PrintWriter(new OutputStreamWriter(System.err),true);
      }
      pw.println(o);
	  
    }

    static void print(String o, String encoding) {
      PrintWriter pw;
      try {
	pw = new PrintWriter(new OutputStreamWriter(System.err,encoding),true);
      } catch (UnsupportedEncodingException e) {
	System.err.println("Error " + e + "Printing as default encoding.");
	pw = new PrintWriter(new OutputStreamWriter(System.err),true);
      }
      pw.print(o);
      pw.flush();
    }
  }

  /** Print methods wrapped around System.out */
  public static class out {
   
    public static void println(String o, String encoding) {
      PrintWriter pw;
      try {
	pw = new PrintWriter(new OutputStreamWriter(System.out,encoding),true);
      } catch (UnsupportedEncodingException e) {
	System.err.println("Error " + e + "Printing as default encoding.");
	pw = new PrintWriter(new OutputStreamWriter(System.out),true);
      }
      pw.println(o);
	  
    }

    static void print(String o, String encoding) {
      PrintWriter pw;
      try {
	pw = new PrintWriter(new OutputStreamWriter(System.out,encoding),true);
      } catch (UnsupportedEncodingException e) {
	System.err.println("Error " + e + "Printing as default encoding.");
	pw = new PrintWriter(new OutputStreamWriter(System.out),true);
      }
      pw.print(o);
      pw.flush();
    }
    

  }
}
