package edu.stanford.nlp.process;
import java.util.*;
import java.io.*;
import edu.stanford.nlp.trees.Word;

/**
 * <code>Processor</code> whose <code>process</code> method Converts a 
 * collection of mixed-case Words to a collection of lowercase Words. 
 *

 *
@author Sepandar Kamvar (sdkamvar@stanford.edu)
 */

public class LowercaseProcessor extends DocumentProcessor {


		public LowercaseProcessor() {
				super(new LowercaseAppliable());
		}

}

/**
 * Takes a Word and returns a lowercase version of the Word.
 */

class LowercaseAppliable implements Appliable {

		/**
		 * Lowercases the Word coming in
		 */

		public Object apply(Object in) {
			return(new Word(((Word)in).word().toLowerCase()));
		}
}
