package edu.stanford.nlp.process;
import java.util.*;
import java.io.*;
import edu.stanford.nlp.trees.Word;
import edu.stanford.nlp.dbm.*;


/**
 * <code>Processor</code> whose <code>process</code> method converts a 
 * numbers to the word "*NUMBER*"
 *

 *
@author Sepandar Kamvar (sdkamvar@stanford.edu)
 */


public class NumberProcessor extends DocumentProcessor {

	public NumberProcessor() { super(new NumberAppliable()); }

}

/**
 * Returns <tt>in</tt> or a new Word with "*NUMBER*" if it was a number.
 */

class NumberAppliable implements Appliable {

		public Object apply(Object in) {
				Word old=(Word)in;
				try
				{
						Double.parseDouble(old.word());
						return(new Word("*NUMBER*"));
				} catch (NumberFormatException e) {
						return(old);
				}
    }
}



