package edu.stanford.nlp.trees;


import java.util.HashMap;
import java.io.Reader;

import edu.stanford.nlp.util.Dbg;
 

/** HeadFinder that always returns the leftmost daughter as head.  For
 *  testing purposes.
 *
 *  @author Roger Levy
 */
public class LeftHeadFinder implements HeadFinder {

    public Tree determineHead(Tree t) {
	if (t.isLeaf()) {
	    return null;
	}
	else {
	  return t.children()[0];
	}
    }
}
