package edu.stanford.nlp.trees;

import java.util.*;

import edu.stanford.nlp.util.*;

/** Builds a neo-Davidsonian-style semantic representation corresponding
 *  to a Penn Treebank style tree.  This uses a variety of heuristic rules
 *  including headship rules, and rules specific to the label set of the 
 *  Penn Treebank.
 *
 *  @author Christopher Manning
 */
public class QuasiSemantics {

    private int index;
    private List meaning;

    private class QuasiSemanticsTerm {
	private Object relation;
	private Object subject;
	private Object object;

	public QuasiSemanticsTerm(Object relation, Object subject,
				  Object object) {
	    this.relation = relation;
	    this.subject = subject;
	    this.object = object;
	}

    }


    public QuasiSemantics(Tree t) {
	Set depset = t.dependencies();
	for (Iterator it = depset.iterator(); it.hasNext(); ) {
	    Pair p = (Pair) it.next();
	    meaning.add(new QuasiSemanticsTerm("dep", p.first(), p.second()));
	}
    }

}
