package edu.stanford.nlp.trees;

import java.io.Reader;

/** A <code>SentenceReaderFactory</code> is a factory for creating objects of
 *  class <code>SentenceReader</code>, or some descendent class.
 *
 *  @author Christopher Manning
 */
public interface SentenceReaderFactory {

    /** The factory for making a new <code>SentenceReader</code>.
     *  @param in The Reader to read sentences from.
     *  @return A SentenceReader that reads sentences.
     */
    public SentenceReader newSentenceReader(Reader in);

}
