package edu.stanford.nlp.trees;

import java.io.Reader;

/** This class implements a simple default <code>SentenceReaderFactory</code>.
 *  @author Christopher Manning
 */
public class SimpleSentenceReaderFactory implements SentenceReaderFactory {

    /** The implementation of the <code>SentenceReaderFactory</code> interface.
     *  It creates a simple <code>SentenceReader</code> which literally
     *  reproduces sentences in the SentenceBank.
     */
    public SentenceReader newSentenceReader(Reader in) {
	return new SentenceReader(in);
    }

}
