package edu.stanford.nlp.trees;

import java.io.Reader;

/** This class implements a simple default <code>TreeReaderFactory</code>.
 *
 *  @author Christopher Manning
 */
public class SimpleTreeReaderFactory implements TreeReaderFactory {

    /** The implementation of the <code>TreeReaderFactory</code> interface.
     *  It creates a simple, default <code>TreeReader</code> which literally
     *  reproduces trees in the treebank.  It uses all the defaults of the
     *  <code>TreeReader</code> class, which means that you get a 
     *  <code>SimpleTreeFactory</code>, no <code>TreeNormalizer</code>, and
     *  a <code>PennTreebankStreamTokenizer</code>.
     */
    public TreeReader newTreeReader(Reader in) {
	return new PennTreeReader(in);
    }

}
