package edu.stanford.nlp.trees;

/** This is a simple interface for operations that are going to be applied
 *  to a <code>Tree</code>. It typically is called iteratively over 
 *  trees in a <code>Treebank</code>
 *
 *  @author Christopher Manning
 */
public interface TreeProcessor {

    /** Does whatever one needs to do to a particular parse tree.
     *  @param t A tree.  Classes implementing this interface can assume
     *        that the tree passed in is not <code>null</code>.
     */
    public void processTree(Tree t);

}

