package edu.stanford.nlp.util;

/**
 * Filter is an interface for predicate objects which respond to the
 * <code>accept</code> method.
 * 
 * @author <a href="mailto:klein@cs.stanford.edu">Dan Klein</a>
 * @version 1.0
 */
public interface Filter {

  /**
   * Checks if the given object passes the filter.
   *
   * @param obj an object to test
   */
  public boolean accept(Object obj);

}
