package edu.stanford.nlp.util;

/**
 *  Internable: Interface for objects which are to be interned.
 *  Such objects
 *  should implement weakEquals and weakHashCode methods which are
 *  used by the Interner to map them.  Note that if an object also
 *  provides an expensive equals and hashCode, these *will* still be
 *  used by Java collections.
 *
 *  @author Dan Klein
 *  @version   1/3/01
 */
public interface Internable {
  public boolean weakEquals(Object o);
  public int weakHashCode();
}
