package edu.stanford.nlp.process;

import java.util.*;
import java.io.*;

/**
 * doesn't handle \"can not\" to \"cannot\".
 */

%%

%class PTB2TextLexer
%standalone
%unicode
%function next
%type String

%{

/*
"'T WAS"
{ return("'TWAS"); }
"'T was"
{ return("'Twas"); }
"'t was"
{ return("'twas"); }
"'T IS"
{ return("'TIS"); }
"'T is"
{ return("'Tis"); }
"'t is"
{ return("'tis"); }
*/

%}

%%

" ''"
{ return("\""); }
"`` "
{ return("\""); }
" " ("." | ":" | "," | ";" | "?" | "!" | "...")
{ return(yytext().substring(1, yytext().length())); }
"` "
{ return("`"); }
" '"[^ \n]
{ return(yytext().substring(1, yytext().length())); }
" n't"
{ return("n't"); }
" N'T"
{ return("N'T"); }
("-LRB-" | "(") " "
{ return("("); }
" " ("-RRB-" | ")")
{ return(")"); }
("-LCB-" | "[") " "
{ return("["); }
" " ("-RCB-" | "]")
{ return("]"); }
" %"
{ return("%"); }
"$ "
{ return("$"); }
[^ \n]+
{ return(yytext()); }
" "
{ return(yytext()); }
"\n"
{ return(yytext()); }
<<EOF>>
{ return(null); }
