package edu.stanford.nlp.util;

import java.util.*;

/** ScoredPriorityAgenda
 *  @author Dan Klein
 */
public final class ScoredPriorityAgenda implements Agenda {
  private Heap heap;

  public void verify() {
    ((ArrayHeap)heap).verify();
  }

  public void add(Object o) {
    heap.add(o);
  }

  public Object next() {
    return heap.extractMin();
  }

  public boolean hasNext() {
    return !heap.isEmpty();
  }

  public int decreaseKey(Object o) { 
    return heap.decreaseKey(o);
  }

  public ScoredPriorityAgenda() {
    Comparator cmp = ScoredComparator.DESCENDING_COMPARATOR;
    heap = new ArrayHeap(cmp);
  }
}
